package com.agilex.healthcare.schedulingmanager.domain;

import com.agilex.healthcare.mobilehealthplatform.domain.PatientDataCollection;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.Collection;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "WaitListEntries", namespace = Namespace.SchedulingManager)
public class WaitListEntries extends PatientDataCollection<WaitListEntry> {

    private static final long serialVersionUID = -3900030648275030676L;


    @XmlElement(namespace = Namespace.SchedulingManager)
    public long     recordCount;

    @XmlElement(namespace = Namespace.SchedulingManager)
    public int      pageCount;

    @XmlElement(namespace = Namespace.SchedulingManager)
    public int      currentPage;

    @XmlElement(namespace = Namespace.SchedulingManager)
    public long      startRecord;

    @XmlElement(namespace = Namespace.SchedulingManager)
    public long      stopRecord;


    @XmlElement(namespace = Namespace.SchedulingManager)
    public Collection<WaitListEntry> getWaitListEntry() {
        return this;
    }

    public long getRecordCount() {
        return recordCount;
    }

    public void setRecordCount(long recordCount) {
        this.recordCount = recordCount;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public long getStartRecord() {
        return startRecord;
    }

    public void setStartRecord(long startRecord) {
        this.startRecord = startRecord;
    }

    public long getStopRecord() {
        return stopRecord;
    }

    public void setStopRecord(long stopRecord) {
        this.stopRecord = stopRecord;
    }
}
